* cd "C:\Shazam\AER\Tim's Runs"
log using "vc-out-ave-26-1-15", replace
* AER VC SFA model and CIs
* using AU ave data
version 11
clear
set more off
set maxiter 200
import excel "DNSPData AusNZOnt 16Oct2014x.xlsx", sheet("DNSPAUAVE") firstrow
summarize

generate vc=Opex/PrOpex
generate lvc=log(vc)

generate ly1=log(Energy)
generate ly2=log(CustNum)
generate ly3=log(CircLen)
generate ly4=log(RMDemand)

generate z1=ShareUGC
generate z2=ShareSST
generate z3=CustMOS
generate z4=SAIDI
generate z5=Len66kVP

generate cap=DistTran 

generate lz1=log(z1)
generate lz2=log(z2)
generate lz3=log(z3)
generate lz4=log(z4)

*generate lcap=log(cap)
*generate lcap=log(DistTran)

* mean correct output data
qui reg ly1
predict mly1
replace ly1=ly1-mly1
qui reg ly2
predict mly2
replace ly2=ly2-mly2
qui reg ly3
predict mly3
replace ly3=ly3-mly3
qui reg ly4
predict mly4
replace ly4=ly4-mly4

generate ly11=ly1*ly1/2
generate ly22=ly2*ly2/2
generate ly33=ly3*ly3/2
generate ly44=ly4*ly4/2
generate ly12=ly1*ly2
generate ly13=ly1*ly3
generate ly14=ly1*ly4
generate ly23=ly2*ly3
generate ly24=ly2*ly4
generate ly34=ly3*ly4

* model with 3 outputs:

regress lvc ly2-ly4 lz1 
predict res, r
summarize res
return list
generate eff1=exp(-res+r(min))
list eff1
summarize eff1
plot eff1 Firm

log close
